API Reference > OdDb Classes > OdDb3dProfile Class > OdDb3dProfile Methods > convertProfile Method > OdDb3dProfile::convertProfile Method (bool, bool, bool, bool, OdArray<OdDb3dProfile*>&)
OdDb3dProfile::convertProfile Method (bool, bool, bool, bool, OdArray<OdDb3dProfile*>&)
Syntax
C++
OdResult convertProfile(bool explodeMultiFaceRegions, bool convertSurfaceToEdges, bool nonPlanarOnly, bool outerLoopOnly, OdArray<OdDb3dProfile*>& convertedProfileArr) const;
Parameters 
Description 
bool explodeMultiFaceRegions 
[in] If this profile's type is AcDbSurface or AcDbRegion and has more than one face, then we explode to get multiple surface or region profiles that each have only one face.  
bool convertSurfaceToEdges 
[in] If this profile is a face or is of type AcDbSurface, AcDbRegion, AcDbTrace, AcDbSolid, or AcDbFace then we convert to an edge profile that is defined by the surface or region edges.  
bool nonPlanarOnly 
[in] This parameter is only relevant when convertSurfaceToEdges is set to true. If this parameter is true then only non-planar surfaces will be converted to edge profiles. Regions and planar surfaces will not be converted.  
bool outerLoopOnly 
[in] This parameter is only relevant when convertSurfaceToEdges is set to true. If this parameter is true then only the outer loop of the surface or region will be converted to an edge profile.  
OdArray<OdDb3dProfile*>& convertedProfileArr 
[out] Output list of converted profiles. The caller is responsible for deleting the objects in this list.  

eOk if successful. Even when this function returns eOk, it is possible for the output list to be empty depending on the profile type and the values of the other parameters.

Converts profile into new profiles that are of a type that can be used for extrude, revolve, sweep, or loft operations. The converted profiles are returned in the output array. If this profile's type is AcDbTrace, AcDbSolid, or AcDbFace then the converted profile will be for a region. If this profile's type is AcDb3dPolyline and the profile is linear or whose 'Fit' property is quadratic or cubic then the converted profile will be a line or a spline. 

 

Copyright © 2002–2021. Open Design Alliance. All rights reserved.